Bug 1031637 - [abrt] evolution-data-server-3.10.2-1.fc20: g_hash_table_resize: Process /usr/libexec/evolution-source-registry was killed by signal 6 (SIGABRT)
[abrt] evolution-data-server-3.10.2-1.fc20: g_hash_table_resize: Process /usr...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:123b4ceec4fecf7a40b8bb35e64...
:
: 1082235 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 07:52 EST by Maël Lavault
Modified: 2014-03-31 05:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 05:02:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.19 KB, text/plain)
2013-11-18 07:52 EST, Maël Lavault
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-18 07:52 EST, Maël Lavault
no flags Details
File: core_backtrace (25.54 KB, text/plain)
2013-11-18 07:52 EST, Maël Lavault
no flags Details
File: dso_list (12.29 KB, text/plain)
2013-11-18 07:53 EST, Maël Lavault
no flags Details
File: environ (1.03 KB, text/plain)
2013-11-18 07:53 EST, Maël Lavault
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-18 07:53 EST, Maël Lavault
no flags Details
File: maps (56.77 KB, text/plain)
2013-11-18 07:53 EST, Maël Lavault
no flags Details
File: open_fds (973 bytes, text/plain)
2013-11-18 07:53 EST, Maël Lavault
no flags Details
File: proc_pid_status (964 bytes, text/plain)
2013-11-18 07:53 EST, Maël Lavault
no flags Details
File: var_log_messages (205 bytes, text/plain)
2013-11-18 07:53 EST, Maël Lavault
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 712734 None None None Never

  None (edit)
Description Maël Lavault 2013-11-18 07:52:45 EST
Version-Release number of selected component:
evolution-data-server-3.10.2-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: g_hash_table_resize
executable:     /usr/libexec/evolution-source-registry
kernel:         3.11.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_hash_table_resize at ghash.c:565
 #7 g_hash_table_maybe_resize at ghash.c:594
 #8 g_hash_table_remove_all at ghash.c:1348
 #9 on_notify_g_name_owner at gdbusobjectmanagerclient.c:1254
 #15 g_object_notify_by_spec_internal at gobject.c:1141
 #16 g_object_notify at gobject.c:1183
 #17 on_name_owner_changed at gdbusproxy.c:1361
 #18 emit_signal_instance_in_idle_cb at gdbusconnection.c:3743
 #23 dbus_server_run_server at e-dbus-server.c:222
 #24 ffi_call_unix64 at ../src/x86/unix64.S:76
Comment 1 Maël Lavault 2013-11-18 07:52:52 EST
Created attachment 825578 [details]
File: backtrace
Comment 2 Maël Lavault 2013-11-18 07:52:55 EST
Created attachment 825579 [details]
File: cgroup
Comment 3 Maël Lavault 2013-11-18 07:52:59 EST
Created attachment 825580 [details]
File: core_backtrace
Comment 4 Maël Lavault 2013-11-18 07:53:02 EST
Created attachment 825581 [details]
File: dso_list
Comment 5 Maël Lavault 2013-11-18 07:53:05 EST
Created attachment 825582 [details]
File: environ
Comment 6 Maël Lavault 2013-11-18 07:53:08 EST
Created attachment 825583 [details]
File: limits
Comment 7 Maël Lavault 2013-11-18 07:53:11 EST
Created attachment 825584 [details]
File: maps
Comment 8 Maël Lavault 2013-11-18 07:53:16 EST
Created attachment 825585 [details]
File: open_fds
Comment 9 Maël Lavault 2013-11-18 07:53:19 EST
Created attachment 825586 [details]
File: proc_pid_status
Comment 10 Maël Lavault 2013-11-18 07:53:23 EST
Created attachment 825587 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-11-19 04:45:39 EST
Thanks for a bug report. The report error was "double free or corruption (out)", thus there might be some (software) memory corruption during the running of the process, like a write to an already freed memory. It's usually quite hard to properly fix such issues with a reproducer.

By any chance, do you have any steps for a reproducer, or at least any idea what you were doing with evolution processes before the crash? It even can be related to other processes, like to any changes in Gnome Online Accounts settings.
Comment 12 Maël Lavault 2013-11-19 04:50:57 EST
It's hard to tell what caused the issue. First it seems that the certificate used by my mail provider changed, so Evolution asked me to enter my password again (even if it was saved in GOA, by the way evolution keep asking me my password even if I check to save it). I deleted some mail from my spam account while it checked for my mail and opened one mail full screen by double clicking on it. Just after that it crashed.

It all went very quickly.
Comment 13 Maël Lavault 2013-11-19 07:43:38 EST
Small correction, my account was not in GOA but in evolution, I made the switch right after.
Comment 14 Milan Crha 2013-11-20 05:02:47 EST
(In reply to Milan Crha from comment #11)
> ...
> usually quite hard to properly fix such issues with a reproducer.

Ouch, here was meant to be 'without', not 'with'

(In reply to Maël Lavault from comment #12)
> ...by the way evolution keep asking me my password even if I check to save it

It sometimes happened that the evolution-source-registry didn't connect to gnome-keyring daemon properly, thus the password save failed silently. Re-login, or simply close of all evolution processes (ps ax | grep evolution), the calendar factory as the last, may help a bit here.

I moved this upstream as [1], maybe someone there will have better idea that I have. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=712734
Comment 15 Milan Crha 2014-03-31 05:15:21 EDT
*** Bug 1082235 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.